Main Page Widgets Namespaces Book

# Glib::SignalProxyProperty Class Reference

Use the connect() method, with SigC::slot() to connect signals to signal handlers. More...

Inheritance diagram for Glib::SignalProxyProperty:

[legend]
List of all members.

## Public Types
typedef SigC::Slot0<void> | SlotType
## Public Methods
| SignalProxyProperty (Glib::ObjectBase* obj, const gchar* property_name)
| ~SignalProxyProperty ()
SigC::Connection | connect (const SlotType& sl)
## Static Protected Methods
void | callback (GObject* object, GParamSpec* pspec, gpointer data)
## Protected Attributes
const char* | property_name_
## Friends
class | PropertyProxy_Base

## Detailed Description

Use the connect() method, with SigC::slot() to connect signals to signal handlers.

## Member Typedef Documentation

typedef SigC::Slot0<void> Glib::SignalProxyProperty::SlotType

## Constructor & Destructor Documentation

Glib::SignalProxyProperty::SignalProxyProperty | ( | Glib::ObjectBase* | obj,
|  | const gchar* | property_name
| ) |

Glib::SignalProxyProperty::~SignalProxyProperty | ( |  | ) |

## Member Function Documentation

void Glib::SignalProxyProperty::callback | ( | GObject* | object,
|  | GParamSpec* | pspec,
|  | gpointer | data
| ) | `[static, protected]`

SigC::Connection Glib::SignalProxyProperty::connect | ( | const SlotType& | sl | ) |

## Friends And Related Function Documentation

friend class PropertyProxy_Base`[friend]`

## Member Data Documentation

const char* Glib::SignalProxyProperty::property_name_`[protected]`

The documentation for this class was generated from the following file:

- propertyproxy_base.h